Certificate problem

Support for security such as Firewalls and securing linux
Post Reply
wp.rauchholz
Posts: 65
Joined: 2016/11/20 11:58:45

Certificate problem

Post by wp.rauchholz » 2018/05/08 14:25:33

I have a certificate from letsencrypt. The certificate is valid and correctly installed. I checked my domain with digicert.com and ssllabs.com (rating A+).
There are several services (horde, firefly-iii, suitecrm, emby, weberp) installed on my home server and all - with the exception of one - confirm secure connection.
The exception (apache ofbiz suite) gives me an error message in Chrome (NET::ERR_CERT_AUTHORITY_INVALID). Additional error information:
Subject: ofbiz-vm.apache.org
Issuer: ofbiz-vm.apache.org
Expires on: May 27, 2024
Current date: May 8, 2018
PEM encoded chain:
-----BEGIN CERTIFICATE-----
MIIELzCCAxegAwIBAgIJAKbveppTaO....

It appears that the browser checks the certificate of ofbiz-vm.apache.org and not against my domain.
Did anybody run into the same/similar problem and can let me know how to fix?

Thank you, Wolfgang

User avatar
avij
Forum Moderator
Posts: 2580
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: Certificate problem

Post by avij » 2018/05/08 17:16:59

I'm not familiar with that software, but it appears that you need to import the certificate into OFBiz. See the instructions from point 4 onwards.

wp.rauchholz
Posts: 65
Joined: 2016/11/20 11:58:45

Re: Certificate problem

Post by wp.rauchholz » 2018/05/10 06:21:30

Thank you.

Wolfgang

Post Reply